tigase.jaxmpp.j2se.connection.socks5bytestream

## Class Socks5BytestreamsConnectionManager

- java.lang.Object
- - tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager
  - - tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5BytestreamsConnectionManager

- All Implemented Interfaces:
    ContextAware, ConnectionManager

      public class Socks5BytestreamsConnectionManager
      extends Socks5ConnectionManager

  Author:
    andrzej

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `Socks5ConnectionManager.State`

    - ### Nested classes/interfaces inherited from interface tigase.jaxmpp.j2se.connection.ConnectionManager

      `ConnectionManager.ConnectionClosedHandler, ConnectionManager.ConnectionEstablishedHandler, ConnectionManager.ConnectionFailedHandler, ConnectionManager.InitializedCallback`

  - ### Field Summary

    - ### Fields inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `context, JAXMPP_KEY, PACKET_ID, PROXY_JID_KEY, PROXY_JID_USED_KEY, SID_KEY, STREAMHOST_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Socks5BytestreamsConnectionManager()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connectTcp(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `connectUdp(JaxmppCore jaxmpp, ConnectionSession session)`
    `void` | `initConnection(JaxmppCore jaxmpp, ConnectionSession session, ConnectionManager.InitializedCallback callback)`
    `void` | `register(JaxmppCore jaxmpp, ConnectionSession session)`
    `protected void` | `requestStreamHosts(JaxmppCore jaxmpp, ConnectionSession session, JID proxyJid)`
    `protected void` | `sendStreamHosts(JaxmppCore jaxmpp, ConnectionSession ft, List<Streamhost> proxyStreamhosts)`
    `void` | `sendStreamhostUsed(FileTransfer ft, String packetId)`

    - ### Methods inherited from class tigase.jaxmpp.j2se.connection.socks5bytestream.Socks5ConnectionManager

      `checkHash, clearSessions, connectToProxy, discoverProxy, fireOnConnected, fireOnConnected, fireOnFailure, generateHash, getLocalStreamHosts, getSession, handleConnection, processData, proxyDiscoveryError, proxyDiscoveryFinished, registerSession, requestActivate, setContext, unregisterSession`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Socks5BytestreamsConnectionManager

          public Socks5BytestreamsConnectionManager()

  - ### Method Detail

    - #### connectTcp

          public void connectTcp(JaxmppCore jaxmpp,
                                 ConnectionSession session)
                          throws JaxmppException

      Throws:
        `JaxmppException`

    - #### connectUdp

          public void connectUdp(JaxmppCore jaxmpp,
                                 ConnectionSession session)

    - #### initConnection

          public void initConnection(JaxmppCore jaxmpp,
                                     ConnectionSession session,
                                     ConnectionManager.InitializedCallback callback)
                              throws JaxmppException

      Throws:
        `JaxmppException`

    - #### register

          public void register(JaxmppCore jaxmpp,
                               ConnectionSession session)

    - #### requestStreamHosts

          protected void requestStreamHosts(JaxmppCore jaxmpp,
                                            ConnectionSession session,
                                            JID proxyJid)
                                     throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendStreamHosts

          protected void sendStreamHosts(JaxmppCore jaxmpp,
                                         ConnectionSession ft,
                                         List<Streamhost> proxyStreamhosts)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

    - #### sendStreamhostUsed

          public void sendStreamhostUsed(FileTransfer ft,
                                         String packetId)
                                  throws JaxmppException

      Throws:
        `JaxmppException`

Copyright © 2006–2016 Tigase. All rights reserved.